Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(97)

Issue 1399693003: Emit better error message about writable properties (Closed)

Created:
3 years, 3 months ago by Franziska
Modified:
3 years, 3 months ago
CC:
v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

Emit better error message about writable properties Section 8.10.5 9a specifies that a property descriptor cannot both have accessors and specify the writability of the property. The previous error message was misleading because it referred to writable rather than specifying the writability (which includes writable: false). BUG=v8:2536 LOG=N Committed: https://crrev.com/8ed0454332beae12e7ff1704530500f342048c71 Cr-Commit-Position: refs/heads/master@{#31273}

Patch Set 1 #

Total comments: 1

Patch Set 2 : Simplify error message and fix tests #

Patch Set 3 : Rebase onto newer source #

Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -10 lines) Patch
M AUTHORS View 1 chunk +1 line, -0 lines 0 comments Download
M src/messages.h View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M test/mjsunit/messages.js View 1 1 chunk +2 lines, -2 lines 0 comments Download
M test/webkit/Object-defineProperties-expected.txt View 1 1 chunk +1 line, -1 line 0 comments Download
M test/webkit/fast/js/Object-defineProperty-expected.txt View 1 1 chunk +5 lines, -5 lines 0 comments Download

Messages

Total messages: 20 (9 generated)
Franziska
3 years, 3 months ago (2015-10-10 06:46:05 UTC) #2
Michael Achenbach
+yang
3 years, 3 months ago (2015-10-12 07:44:41 UTC) #6
rossberg
https://codereview.chromium.org/1399693003/diff/1/src/messages.h File src/messages.h (right): https://codereview.chromium.org/1399693003/diff/1/src/messages.h#newcode239 src/messages.h:239: "accessors and specify the value or writability of the ...
3 years, 3 months ago (2015-10-12 09:00:14 UTC) #7
Yang
On 2015/10/12 09:00:14, rossberg wrote: > https://codereview.chromium.org/1399693003/diff/1/src/messages.h > File src/messages.h (right): > > https://codereview.chromium.org/1399693003/diff/1/src/messages.h#newcode239 > ...
3 years, 3 months ago (2015-10-13 06:37:23 UTC) #8
Franziska
I simplified the error message as suggested.
3 years, 3 months ago (2015-10-13 19:25:27 UTC) #9
rossberg
lgtm
3 years, 3 months ago (2015-10-14 11:28:56 UTC) #10
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1399693003/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1399693003/40001
3 years, 3 months ago (2015-10-14 18:54:03 UTC) #12
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 3 months ago (2015-10-14 19:19:09 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1399693003/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1399693003/40001
3 years, 3 months ago (2015-10-14 19:21:02 UTC) #18
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years, 3 months ago (2015-10-14 19:22:23 UTC) #19
commit-bot: I haz the power
3 years, 3 months ago (2015-10-14 19:22:37 UTC) #20
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/8ed0454332beae12e7ff1704530500f342048c71
Cr-Commit-Position: refs/heads/master@{#31273}

Powered by Google App Engine
This is Rietveld 408576698